Package org.kie.internal.runtime.error

## Class ExecutionError.Builder

- java.lang.Object
- - org.kie.internal.runtime.error.ExecutionError.Builder

- Enclosing class:
    ExecutionError

      public static class ExecutionError.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExecutionError.Builder` | `acknowledged​(boolean acknowledged)` |
    `ExecutionError.Builder` | `acknowledgedAt​(java.util.Date acknowledgedAt)` |
    `ExecutionError.Builder` | `acknowledgedBy​(java.lang.String user)` |
    `ExecutionError.Builder` | `activityId​(java.lang.Long activityId)` |
    `ExecutionError.Builder` | `activityName​(java.lang.String activityName)` |
    `ExecutionError` | `build()` |
    `ExecutionError.Builder` | `deploymentId​(java.lang.String deploymentId)` |
    `ExecutionError.Builder` | `error​(java.lang.String errorStr)` |
    `ExecutionError.Builder` | `errorDate​(java.util.Date errorDate)` |
    `ExecutionError.Builder` | `initActivityId​(java.lang.Long initActivityId)` |
    `ExecutionError.Builder` | `jobId​(java.lang.Long jobId)` |
    `ExecutionError.Builder` | `message​(java.lang.String message)` |
    `ExecutionError.Builder` | `processId​(java.lang.String processId)` |
    `ExecutionError.Builder` | `processInstanceId​(java.lang.String piId)` |
    `ExecutionError.Builder` | `type​(java.lang.String type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### build

          public ExecutionError build()

    - #### type

          public ExecutionError.Builder type​(java.lang.String type)

    - #### deploymentId

          public ExecutionError.Builder deploymentId​(java.lang.String deploymentId)

    - #### message

          public ExecutionError.Builder message​(java.lang.String message)

    - #### error

          public ExecutionError.Builder error​(java.lang.String errorStr)

    - #### acknowledgedBy

          public ExecutionError.Builder acknowledgedBy​(java.lang.String user)

    - #### processInstanceId

          public ExecutionError.Builder processInstanceId​(java.lang.String piId)

    - #### activityId

          public ExecutionError.Builder activityId​(java.lang.Long activityId)

    - #### acknowledged

          public ExecutionError.Builder acknowledged​(boolean acknowledged)

    - #### acknowledgedAt

          public ExecutionError.Builder acknowledgedAt​(java.util.Date acknowledgedAt)

    - #### processId

          public ExecutionError.Builder processId​(java.lang.String processId)

    - #### activityName

          public ExecutionError.Builder activityName​(java.lang.String activityName)

    - #### errorDate

          public ExecutionError.Builder errorDate​(java.util.Date errorDate)

    - #### jobId

          public ExecutionError.Builder jobId​(java.lang.Long jobId)

    - #### initActivityId

          public ExecutionError.Builder initActivityId​(java.lang.Long initActivityId)